UDA(4) | Device Drivers Manual (vax) | UDA(4)

# NAME

`uda` — UNIBUS MSCP disk controller driver

# SYNOPSIS

`uda0 at uba? csr 0172150`
`uda1 at uba? csr 0160334`
`mscpbus* at uda?`

# DESCRIPTION

The `uda` driver is for UNIBUS disk controllers that use MSCP. Among these controllers are:

DEC UDA50 UNIBUS ctlr
DEC KDA50 Q22 bus ctlr
DEC RQDX3 Q22 bus ctlr

The `uda` communicates with the host through a packet protocol known as the Mass Storage Control Protocol (MSCP). Consult the file `<mscp/mscp.h>` for a detailed description of this protocol.

# SEE ALSO

vax/intro(4)

# HISTORY

The `uda` driver appeared in 4.2BSD.

A new `uda` driver approach showed up in NetBSD 1.2.

February 17, 2017 | NetBSD 11.99